Package ru.bitel.bgbilling.plugins.dispatch.server.bean.message

# Class CustomDispatchMessage

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.dispatch.common.bean.DispatchMessage
ru.bitel.bgbilling.plugins.dispatch.server.bean.message.CustomDispatchMessage

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `DispatchBalanceMessage`

public abstract class CustomDispatchMessage extends DispatchMessage
Пользовательский класс для формирования произвольных сообщений для модуля Dispatch. Можно считывать нужные данные из базы, обращаться к акшенам, использовать xsl-шаблоны.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.plugins.dispatch.common.bean.DispatchMessage

  `DispatchMessage.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`
  `protected int`
  `contractId`
  `protected ContractManager`
  `contractManager`

  ### Fields inherited from class ru.bitel.bgbilling.plugins.dispatch.common.bean.DispatchMessage

  `messageBody`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomDispatchMessage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `getMessageBody()`
  Возвращает тело сообщения
  `void`
  `setConnection(Connection con)`
  `void`
  `setContractId(int contractId)`

  ### Methods inherited from class ru.bitel.bgbilling.plugins.dispatch.common.bean.DispatchMessage

  `builder, getCreateDate, getDispatchId, getSendDate, isSent, setCreateDate, setDispatchId, setMessageBody, setSendDate, setSent`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### con

    protected Connection con

  - ### contractId

    protected int contractId

  - ### contractManager

    protected ContractManager contractManager

- ## Constructor Details

  - ### CustomDispatchMessage

    public CustomDispatchMessage()

- ## Method Details

  - ### setConnection

    public void setConnection(Connection con)

  - ### setContractId

    public void setContractId(int contractId)

  - ### getMessageBody

    public abstract String getMessageBody()
    Description copied from class: `DispatchMessage`
    Возвращает тело сообщения
    Overrides:
      `getMessageBody` in class `DispatchMessage`
    Returns: